Subject: Re: [lmap] draft-ietf-lmap-information-model-05: Redefining Scheduled Tasks into Scheduled Actions?

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 2 Jul 2015 12:09:49 +0200

On Tue, May 12, 2015 at 01:42:55PM +0000, Carey, Timothy (Timothy) wrote:
> Team,
> 
> I was reviewing draft-ietf-lmap-information-model-05 and I didn't understand why we would redefine scheduled task to mean a scheduled action. The text of the draft talks about scheduled tasks while the model now names them scheduled actions. This seems to be confusing to me.
> 
> We have always talked about tasks, schedules and  scheduled tasks.
> 
> Was this simply because we needed an identifier for the scheduled task? If so why wouldn't we have just added a parameter called scheduled-task-name?
>

We found it clearer and more concise in the YANG data model to use the
terms 'task' and 'action' instead of 'task' and 'scheduled task' since
'task' and 'action' are clearly distinguishable (and they are both
short). I agree that the text should be updated to be consistent.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>